# Uses of Class
java.security.NoSuchProviderException

Packages that use NoSuchProviderException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.crypto
Provides the classes and interfaces for cryptographic operations.
javax.net.ssl
Provides classes for the secure socket package.
javax.security.auth.login
This package provides a pluggable authentication framework.
javax.security.cert
Provides classes for public key certificates.
javax.smartcardio
Java™ Smart Card I/O API.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of NoSuchProviderException in java.security

Methods in java.security that throw NoSuchProviderException
Modifier and Type
Method
Description
`static AlgorithmParameterGenerator`
AlgorithmParameterGenerator.`getInstance(String algorithm, String provider)`
Returns an `AlgorithmParameterGenerator` object for generating a set of parameters to be used with the specified algorithm.
`static AlgorithmParameters`
AlgorithmParameters.`getInstance(String algorithm, String provider)`
Returns a parameter object for the specified algorithm.
`static KeyFactory`
KeyFactory.`getInstance(String algorithm, String provider)`
Returns a `KeyFactory` object that converts public/private keys of the specified algorithm.
`static KeyPairGenerator`
KeyPairGenerator.`getInstance(String algorithm, String provider)`
Returns a `KeyPairGenerator` object that generates public/private key pairs for the specified algorithm.
`static KeyStore`
KeyStore.`getInstance(String type, String provider)`
Returns a `KeyStore` object of the specified type.
`static MessageDigest`
MessageDigest.`getInstance(String algorithm, String provider)`
Returns a `MessageDigest` object that implements the specified digest algorithm.
`static Policy`
Policy.`getInstance(String type, Policy.Parameters params, String provider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns a `Policy` object of the specified type.
`static SecureRandom`
SecureRandom.`getInstance(String algorithm, String provider)`
Returns a `SecureRandom` object that implements the specified Random Number Generator (RNG) algorithm.
`static SecureRandom`
SecureRandom.`getInstance(String algorithm, SecureRandomParameters params, String provider)`
Returns a `SecureRandom` object that implements the specified Random Number Generator (RNG) algorithm and supports the specified `SecureRandomParameters` request.
`static Signature`
Signature.`getInstance(String algorithm, String provider)`
Returns a `Signature` object that implements the specified signature algorithm.

## Uses of NoSuchProviderException in java.security.cert

Methods in java.security.cert that throw NoSuchProviderException
Modifier and Type
Method
Description
`static final CertificateFactory`
CertificateFactory.`getInstance(String type, String provider)`
Returns a certificate factory object for the specified certificate type.
`static CertPathBuilder`
CertPathBuilder.`getInstance(String algorithm, String provider)`
Returns a `CertPathBuilder` object that implements the specified algorithm.
`static CertPathValidator`
CertPathValidator.`getInstance(String algorithm, String provider)`
Returns a `CertPathValidator` object that implements the specified algorithm.
`static CertStore`
CertStore.`getInstance(String type, CertStoreParameters params, String provider)`
Returns a `CertStore` object that implements the specified `CertStore` type.
`abstract void`
Certificate.`verify(PublicKey key)`
Verifies that this certificate was signed using the private key that corresponds to the specified public key.
`abstract void`
Certificate.`verify(PublicKey key, String sigProvider)`
Verifies that this certificate was signed using the private key that corresponds to the specified public key.
`abstract void`
X509CRL.`verify(PublicKey key)`
Verifies that this CRL was signed using the private key that corresponds to the given public key.
`abstract void`
X509CRL.`verify(PublicKey key, String sigProvider)`
Verifies that this CRL was signed using the private key that corresponds to the given public key.

## Uses of NoSuchProviderException in javax.crypto

Methods in javax.crypto that throw NoSuchProviderException
Modifier and Type
Method
Description
`static final Cipher`
Cipher.`getInstance(String transformation, String provider)`
Returns a `Cipher` object that implements the specified transformation.
`static final ExemptionMechanism`
ExemptionMechanism.`getInstance(String algorithm, String provider)`
Returns an `ExemptionMechanism` object that implements the specified exemption mechanism algorithm.
`static KDF`
KDF.`getInstance(String algorithm, String provider)`
Returns a `KDF` object that implements the specified algorithm from the specified security provider.
`static KDF`
KDF.`getInstance(String algorithm, KDFParameters kdfParameters, String provider)`
Returns a `KDF` object that implements the specified algorithm from the specified provider and is initialized with the specified parameters.
`static KEM`
KEM.`getInstance(String algorithm, String provider)`
Returns a `KEM` object that implements the specified algorithm from the specified security provider.
`static final KeyAgreement`
KeyAgreement.`getInstance(String algorithm, String provider)`
Returns a `KeyAgreement` object that implements the specified key agreement algorithm.
`static final KeyGenerator`
KeyGenerator.`getInstance(String algorithm, String provider)`
Returns a `KeyGenerator` object that generates secret keys for the specified algorithm.
`static final Mac`
Mac.`getInstance(String algorithm, String provider)`
Returns a `Mac` object that implements the specified MAC algorithm.
`static final SecretKeyFactory`
SecretKeyFactory.`getInstance(String algorithm, String provider)`
Returns a `SecretKeyFactory` object that converts secret keys of the specified algorithm.
`PKCS8EncodedKeySpec`
EncryptedPrivateKeyInfo.`getKeySpec(Key decryptKey, String providerName)`
Extract the enclosed PKCS8EncodedKeySpec object from the encrypted data and return it.
`final Object`
SealedObject.`getObject(Key key, String provider)`
Retrieves the original (encapsulated) object.

## Uses of NoSuchProviderException in javax.net.ssl

Methods in javax.net.ssl that throw NoSuchProviderException
Modifier and Type
Method
Description
`static final KeyManagerFactory`
KeyManagerFactory.`getInstance(String algorithm, String provider)`
Returns a `KeyManagerFactory` object that acts as a factory for key managers.
`static SSLContext`
SSLContext.`getInstance(String protocol, String provider)`
Returns a `SSLContext` object that implements the specified secure socket protocol.
`static final TrustManagerFactory`
TrustManagerFactory.`getInstance(String algorithm, String provider)`
Returns a `TrustManagerFactory` object that acts as a factory for trust managers.

## Uses of NoSuchProviderException in javax.security.auth.login

Methods in javax.security.auth.login that throw NoSuchProviderException
Modifier and Type
Method
Description
`static Configuration`
Configuration.`getInstance(String type, Configuration.Parameters params, String provider)`
Returns a Configuration object of the specified type.

## Uses of NoSuchProviderException in javax.security.cert

Methods in javax.security.cert that throw NoSuchProviderException
Modifier and Type
Method
Description
`abstract void`
Certificate.`verify(PublicKey key)`
Deprecated, for removal: This API element is subject to removal in a future version.
Verifies that this certificate was signed using the private key that corresponds to the specified public key.
`abstract void`
Certificate.`verify(PublicKey key, String sigProvider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Verifies that this certificate was signed using the private key that corresponds to the specified public key.

## Uses of NoSuchProviderException in javax.smartcardio

Methods in javax.smartcardio that throw NoSuchProviderException
Modifier and Type
Method
Description
`static TerminalFactory`
TerminalFactory.`getInstance(String type, Object params, String provider)`
Returns a TerminalFactory of the specified type that is initialized with the specified parameters.

## Uses of NoSuchProviderException in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that throw NoSuchProviderException
Modifier and Type
Method
Description
`static TransformService`
TransformService.`getInstance(String algorithm, String mechanismType, String provider)`
Returns a `TransformService` that supports the specified algorithm URI (ex: `Transform.XPATH2`) and mechanism type (ex: DOM) as supplied by the specified provider.
`static XMLSignatureFactory`
XMLSignatureFactory.`getInstance(String mechanismType, String provider)`
Returns an `XMLSignatureFactory` that supports the requested XML processing mechanism and representation type (ex: "DOM"), as supplied by the specified provider.

## Uses of NoSuchProviderException in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that throw NoSuchProviderException
Modifier and Type
Method
Description
`static KeyInfoFactory`
KeyInfoFactory.`getInstance(String mechanismType, String provider)`
Returns a `KeyInfoFactory` that supports the requested XML processing mechanism and representation type (ex: "DOM"), as supplied by the specified provider.